import { renderless, api } from '@opentinyvue/vue-renderless/time/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';
import TimeSpinner from '@opentinyvue/vue-time-spinner';
import Button from '@opentinyvue/vue-button';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("transition", {
    attrs: {
      "name": "tiny-zoom-in-top"
    },
    on: {
      "after-leave": function afterLeave($event) {
        return _vm.$emit("dodestroy");
      }
    }
  }, [_c("div", {
    directives: [{
      name: "show",
      rawName: "v-show",
      value: _vm.state.visible,
      expression: "state.visible"
    }],
    class: _vm.m("my-1 bg-color-bg-1 shadow-md rounded absolute w-60 right-0 z-[1000] box-content select-none", _vm.state.popperClass),
    attrs: {
      "data-tag": "tiny-time-panel tiny-popper us"
    }
  }, [_c("div", {
    class: ["relative overflow-hidden", {
      "has-seconds": _vm.state.showSeconds
    }],
    attrs: {
      "data-tag": "tiny-time-panel__content"
    }
  }, [_c("time-spinner", {
    ref: "spinner",
    attrs: {
      "step": _vm.step,
      "arrow-control": _vm.state.useArrow,
      "show-seconds": _vm.state.showSeconds,
      "am-pm-mode": _vm.state.amPmMode,
      "date": _vm.state.date
    },
    on: {
      "change": _vm.handleChange,
      "select-range": _vm.setSelectionRange
    }
  })], 1), _c("div", {
    staticClass: "border-t border-t-color-bg-3 py-3 px-4 h-14 leading-7 box-border flex justify-between",
    attrs: {
      "data-tag": "tiny-time-panel__footer"
    }
  }, [_c("tiny-button", {
    attrs: {
      "data-tag": "tiny-time-panel__btn cancel",
      "type": "text",
      "custom-class": "text-color-brand text-left p-0"
    },
    on: {
      "click": _vm.handleCancel
    }
  }, [_vm._v(" " + _vm._s(_vm.t("ui.datepicker.cancel")) + " ")]), _c("tiny-button", {
    attrs: {
      "data-tag": "tiny-time-panel__btn",
      "type": "primary",
      "disabled": _vm.state.disabled
    },
    on: {
      "click": function click($event) {
        return _vm.handleConfirm();
      }
    }
  }, [_vm._v(" " + _vm._s(_vm.t("ui.datepicker.confirm")) + " ")])], 1)])]);
};
var staticRenderFns = [];
var __vue2_script = defineComponent({
  emits: ["dodestroy", "pick", "select-range"],
  components: {
    TimeSpinner,
    TinyButton: Button
  },
  props: [].concat(props, ["show", "timeArrowControl", "emitter", "value", "step"]),
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { mobileFirst as default };
