import { renderless, api } from '@opentinyvue/vue-renderless/time/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';
import TimeSpinner from '@opentinyvue/vue-time-spinner';
import Button from '@opentinyvue/vue-button';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  emits: ["dodestroy", "pick", "select-range"],
  components: {
    TimeSpinner,
    TinyButton: Button
  },
  props: [].concat(props, ["show", "timeArrowControl", "emitter", "value", "step"]),
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("transition", {
    attrs: {
      "name": "tiny-zoom-in-top"
    },
    on: {
      "after-leave": function afterLeave($event) {
        return _vm.$emit("dodestroy");
      }
    }
  }, [_c("div", {
    directives: [{
      name: "show",
      rawName: "v-show",
      value: _vm.state.visible,
      expression: "state.visible"
    }],
    staticClass: "tiny-time tiny-time-panel tiny-popper",
    class: _vm.state.popperClass
  }, [_c("div", {
    staticClass: "tiny-time-panel__header"
  }, [_c("div", {
    staticClass: "tiny-time-panel__header-title"
  }, [_c("span", [_vm._v(_vm._s(_vm.t("ui.datepicker.hour")))]), _c("span", [_vm._v(_vm._s(_vm.t("ui.datepicker.minute")))]), _vm.state.showSeconds ? _c("span", [_vm._v(_vm._s(_vm.t("ui.datepicker.second")))]) : _vm._e()])]), _c("div", {
    staticClass: "tiny-time-panel__content",
    class: {
      "has-seconds": _vm.state.showSeconds
    }
  }, [_c("time-spinner", {
    ref: "spinner",
    attrs: {
      "step": _vm.step,
      "arrow-control": _vm.state.useArrow,
      "show-seconds": _vm.state.showSeconds,
      "am-pm-mode": _vm.state.amPmMode,
      "date": _vm.state.date
    },
    on: {
      "change": _vm.handleChange,
      "select-range": _vm.setSelectionRange
    }
  })], 1), _c("div", {
    staticClass: "tiny-time-panel__footer"
  }, [!_vm.state.showTimePickerButton ? _c("tiny-button", {
    staticClass: "tiny-time-panel__btn cancel",
    on: {
      "click": function click($event) {
        return _vm.handleCancel();
      }
    }
  }, [_vm._v(" " + _vm._s(_vm.t("ui.datepicker.cancel")) + " ")]) : _vm._e(), _c("tiny-button", {
    class: {
      "tiny-time-panel__btn": !_vm.state.showTimePickerButton,
      confirm: !_vm.state.disabled && !_vm.state.showTimePickerButton
    },
    attrs: {
      "size": "small"
    },
    on: {
      "click": function click($event) {
        return _vm.handleConfirm();
      }
    }
  }, [_vm._v(" " + _vm._s(_vm.t("ui.datepicker.confirm")) + " ")])], 1)])]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { pc as default };
